[PATCH net-next 12/12] selftests/vsock: add vsock_loopback module loading
From: Bobby Eshleman
Date: Wed Oct 22 2025 - 21:00:37 EST
From: Bobby Eshleman <bobbyeshleman@xxxxxxxx>
Add vsock_loopback module loading to the loopback test.
When testing vsock_loopback as a module, it must be loaded before the
test executes or else the test will fail with errno 110.
Signed-off-by: Bobby Eshleman <bobbyeshleman@xxxxxxxx>
---
tools/testing/selftests/vsock/vmtest.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/tools/testing/selftests/vsock/vmtest.sh b/tools/testing/selftests/vsock/vmtest.sh
index 038bb5e2b5e2..62b4f5ede9f6 100755
--- a/tools/testing/selftests/vsock/vmtest.sh
+++ b/tools/testing/selftests/vsock/vmtest.sh
@@ -445,6 +445,8 @@ test_vm_client_host_server() {
test_vm_loopback() {
local port=60000 # non-forwarded local port
+ vm_ssh -- modprobe vsock_loopback &> /dev/null || :
+
if ! vm_vsock_test "server" 1 "${port}"; then
return "${KSFT_FAIL}"
fi
--
2.47.3